Thread titleFromLast replied
Now searching...
Neoseeker Forums » » » Obscure: The Aftermath » system req » Post Reply

Thread Recap (last 10 posts from newest to oldest)

Aug 18, 07 at 5:53pm

can anyone help what the system is needed to run this game only at minimum settings!

Powered by neoforums v3.0.0
Copyright Neo Era Media, Inc. 1999-2016   |   Forum Rules   |   Forum FAQ   |   Neoseeker Terms of Use   |   Supermods On Duty [ server id: www3 ··· elapsed: 0.0525]
Chat and Lounges
Game Platforms
Mobile Platforms